<%@ page language="java" pageEncoding="UTF-8"
         contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<html>
<head>
    <title>我的接单</title>
    <jsp:include page="../common/head.jsp"></jsp:include>
</head>
<jsp:include page="../common/body_header.jsp"></jsp:include>
<jsp:include page="../common/user_center_header.jsp"></jsp:include>
<body>
<div id="aa" class="clearfix"></div>
<div class="user-mid2">
    <div  class="xinxi0">
        <div class="user-mid0">
            <div class="clearfix"></div>
            <div  class="xx-main">
                <table >
                    <tr bgcolor="#f2f2f2" class="biaotou1">
                        <td class="td5">需求名称</td>
                        <td class="td3">需求类型</td>
                        <td class="td6">需求人</td>
                        <td class="td3">截止日期</td>
                        <td class="td3">接单日期</td>
                        <td class="td3">预算金额</td>
                    </tr>
                    <c:forEach items="${list}" var="item">
                        <tr>
                            <td>${item.rqrmntName}</td>
                            <td>${item.rqrmntType}</td>
                            <td>${item.userName}</td>
                            <td><fmt:formatDate value="${item.deadline}" pattern="yyyy-MM-dd"></fmt:formatDate></td>
                            <td><fmt:formatDate value="${item.receivedAt}" pattern="yyyy-MM-dd"></fmt:formatDate></td>
                            <td class="td3">${item.money}</td>
                        </tr>
                    </c:forEach>

                </table>
            </div>
        </div>
    </div>
</div>
<div class="clearfix"></div>
<jsp:include page="../common/body_footer.jsp"></jsp:include>
</body>
<script>

    function delfollow(id) {
        $.ajax({
            url:"<%=basePath%>/open/MyOpenFollow/delfollow.action/"+id,
            type:"post",
            success:function (msg) {
                if(msg.stateCode==200) {
                    alert("取消关注成功");
                }
            }
        })

    }
</script>
</html>