<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
</head>
<body>
    <jsp:include page="../common/body_header.jsp"></jsp:include>
    <div class="line0"></div>
    <div class="clearfix"></div>
    <div class="zixun-details">
        <div class="zixun-details0">
            <div class="zixun-main">
                <div class="pingtaixieyi">《衡水资源开放平台服务协议》</div>
                <div class="zhengwen">

                    <ul>
                        <li style="text-indent: 2em">
                            欢迎使用衡水资源开放平台，本《衡水资源开放平台服务协议》（下称《协议
                            》）系由用户与衡水市建设投资集团有限公司就衡水资源开放平台提供数据、
                            API、微应用从而面向用户服务所订立的相关权利义务规范。因此，请详细阅
                            读并充分理解本《协议》的所有内容，当您签署本《协议》后，即视为同意接
                            受本《协议》的所有规范并愿受其约束，本《协议》对您及衡水资源开放平台
                            均具有法律效力。
                        </li>
                        <li style="text-indent: 2em">
                            用户服务是衡水资源开放平台为符合衡水资源开放平台用户提供的资源服务，
                            其主要特点是用户可以享有数据下载、API申请、API调用、微应用申请、
                            微应用演示等多项服务， 不同类型数据、API、微应用的套餐类型均不同
                            ，详细定义及使用规则可参见数据、API、微应用详情资费套餐说明。 除本
                            《协议》有明确规定外，本《协议》并未对使用衡水资源开放平台数据、API
                            、微应用使用的个人或单位规定相关的服务条款。
                        </li>
                        <li  class="li1"> 1 服务对象</li>
                        <li>要成为衡水资源开放平台用户，必须同时具备下列条件：</li>
                        <li style="text-indent: 2em">1) 完全同意此《衡水资源开放平台服务协议》；</li>
                        <li style="text-indent: 2em">2) 衡水资源开放平台的正式注册用户；</li>
                        <li class="li1">2 服务内容</li>
                        <li class="li2"> 2.1 数据 </li>
                        <li>
                            数据是整理、收集的全国、河北省、衡水市数据分析报告提供商（含政府部门）
                            的数据，此类资源一般以WORD、EXCL、PDF等格式展现。
                        </li>
                        <li class="li2">2.2 API服务</li>
                        <li>
                            衡水资源开放平台用户可以使用衡水资源开放平台提供的API，用于应用开发
                            、数据调取等。另外根据API的特性不同分为数据API、工具API以及模型API。
                            详细如下：
                        </li>
                        <li style="text-indent: 2em">1) 数据API以通过接口的方式展现数据，比如全国交通违章查询API；</li>
                        <li style="text-indent: 2em">2) 工具API以通过接口完成功能使用，体现工具的特性，比如支付服务API；</li>
                        <li style="text-indent: 2em">3) 模型API以数学模型以及原理展现为主，比如企业图谱详情API；</li>
                        <li class="li2">2.3 微应用</li>
                        <li>
                            微应用是应用即业务的直接展现，用户可以使用查看演示了解基本功能，申请
                            过后可以直接通过URL或者H5的方式直接使用微应用。
                        </li>
                        <li class="li1">3 服务内容的其他说明</li>
                        <li style="text-indent: 2em">
                            1) 衡水资源开放平台致力于为用户提供更优质更稳定的资源服务，期间衡水资
                            源开放平台可能会做一些平台优化升级，将会在重要页面上提示修改内容或以其
                            他方式通知开发者，若由于用户疏忽通知而导致的自身应用损失，衡水资源开放
                            平台无需对此承担任何责任；
                        </li>
                        <li style="text-indent: 2em">
                            2) 衡水资源开放平台对因不可抗力(包括但不限于自然灾害、罢工、骚乱、物质
                            短缺或定量配给、暴动、战争行为、政府行为、通讯或其他设施故障或严重伤亡
                            事故等)、计算机病毒或黑客攻击等造成的服务中断或不能满足用户的要求不承
                            担责任；
                        </li>
                        <li style="text-indent: 2em">
                            3) 若由于用户自身原因，不再需要衡水资源开放平台服务，由用户向衡水资源
                            开放平台提出用户身份注销申请（发送申请至衡水资源开放平台官方邮箱），申
                            请通过后用户即不再享受本《协议》约定的衡水资源开放平台服务；
                        </li>
                        <li style="text-indent: 2em">
                            4) 衡水资源开放平台有权判定用户的行为是否符合本《协议》的要求，如果用
                            户违背了本《协议》的规定，衡水资源开放平台有权中断或终止对其提供的服务
                            ，或者采取其他衡水资源开放平台认为合适的措施；
                        </li>
                        <li style="text-indent: 2em">
                            5) 用户必须一直符合相应认证身份的条件，否则衡水资源开放平台有权将其用
                            户身份收回；
                        </li>
                        <li style="text-indent: 2em">
                            6) 衡水资源开放平台要求用户必须符合《协议》的各项要求，否则衡水资源开
                            放平台有权中断对其提供的服务，或者禁用其所申请的数据、API以及微应用；
                        </li>
                        <li style="text-indent: 2em">
                            7) 用户在进行资源发布(API发布、微应用发布)的时候，必选遵循平台的固定
                            发布流程，认同平台价值理念，接受平台的资源收入分配规则。
                        </li>
                        <li class="li1">4 用户的帐号，密码和安全性</li>
                        <li style="text-indent: 2em">用户一旦成为衡水资源开放平台正式注册用户，即可以通过衡水资源开放平台
                            用户中心享受相应权限带来的资源服务。用户可随时根据需要改变自己的密
                            码，并应对其密码严格保密。用户若发现任何非法使用或存在安全漏洞的情况
                            ，请立即以书面形式通告衡水资源开放平台或发送邮件告知。</li>
                        <li class="li1">5 用户义务</li>
                        <li style="text-indent: 2em">
                            不得利用衡水资源开放平台提供的数据危害国家安全、泄露国家秘密，不得侵
                            犯国家社会集体的和公民的合法权益，不得利用衡水资源开放平台提供的数据
                            制作、复制和传播下列信息：
                        </li>
                        <li style="text-indent: 2em">1) 煽动抗拒、破坏宪法和法律、行政法规实施的；</li>
                        <li style="text-indent: 2em">2) 煽动颠覆国家政权，推翻社会主义制度的；</li>
                        <li style="text-indent: 2em">3) 煽动分裂国家、破坏国家统一的；</li>
                        <li style="text-indent: 2em">4) 煽动民族仇恨、民族歧视，破坏民族团结的；</li>
                        <li style="text-indent: 2em">5) 捏造或者歪曲事实，散布谣言，扰乱社会秩序的；</li>
                        <li style="text-indent: 2em">6) 宣扬封建迷信、淫秽、色情、赌博、暴力、凶杀、恐怖、教唆犯罪的；</li>
                        <li style="text-indent: 2em">7) 公然侮辱他人或者捏造事实诽谤他人的，或者进行其他恶意攻击的；</li>
                        <li style="text-indent: 2em">8) 损害国家机关信誉的；</li>
                        <li style="text-indent: 2em">9) 其他违反宪法和法律行政法规的。</li>
                        <li class="li1">6 违约赔偿</li>
                        <li style="text-indent: 2em">
                            用户同意保障和维护衡水资源开放平台及其他用户的利益，如因用户违反有关法律
                            、法规或本《协议》项下的任何条款而给衡水资源开放平台或任何其他第三者造成
                            损失，用户同意承担由此造成的损害赔偿责任。
                        </li>
                        <li class="li1">7 服务条款的变更</li>
                        <li style="text-indent: 2em">
                            衡水资源开放平台有权在必要时修改本《协议》的所有服务条款，如果用户不接受服
                            务条款的修改，可以随时停止使用衡水资源开放平台提供的服务。 如果用户继续享
                            用衡水资源开放平台数据、API以及微应用，则视为接受本《协议》服务条款的变动。</li>
                        <li class="li1">8 法律适用

                        </li>
                        <li style="text-indent: 2em">
                            本服务条款的效力和解释均适用中华人民共和国法律，用户和衡水资源开放平台一
                            致同意服从中国法院的管辖。如衡水资源开放平台提供的服务条款与中华人民共和国
                            法律相抵触，则这些条款将完全按法律规定重新解释，而其它条款则依旧保持对用户
                            产生法律效力和影响。
                        </li>
                        <li class="li1">9 其他规定</li>
                        <li style="text-indent: 2em">
                            1) 本《协议》构成双方对本《协议》之约定事项及其他有关事宜的完整协议，除本
                            《协议》规定的之外，未赋予本《协议》各方其他权利。
                        </li>
                        <li style="text-indent: 2em">
                            2) 如本《协议》中的任何条款无论因何种原因完全或部分无效或不具有执行力，本
                            《协议》的其余条款仍应有效并且有约束力。
                        </li>
                    </ul>
                </div>

            </div>
        </div>
    </div>
    <jsp:include page="../common/body_footer.jsp"></jsp:include>
</body>
</html>