package com.lightinit.hsdataportal.common;

import java.io.File;

/**
 * @author WangYao
 * @date 2018/6/12 14:20
 * @description
 */
public class SysContants {

    //Property文件路径
    public static class PropertyFilePath{
        public final static String CONFIG = "config.properties";
        public final static String CAS = "cas.properties";
    }

    //属性键
    public static class PropertyKey{
        public final static String USER_TYPE = "userType"; // 跳转登录页URL
        public final static String REDIRECT_HOME_URL = "redirectHomeUrl"; // 跳转首页URL
        public final static String REDIRECT_LOGIN_URL = "redirectLoginUrl"; // 跳转登录页URL
        public final static String IMAGE_CONTEXT_PATH = "imageContextPath"; // 该key用于获取tomcat中配置的用于显示外部目录中图片的Context的Path值
        public final static String UPLOAD_FILE_ROOT_DIR = "uploadFileRootDir"; //上传文件存放目录key
        public final static String UPLOAD_IMAGE_ROOT_DIR = "uploadImageRootDir"; //上传图片存放目录key
        public final static String DEVOPS = "devops" ; //衡水大数据中心 门户
        //短信属性
        public final static String REGIONID = "regionId" ;
        public final static String ACCESSKEYID = "accessKeyId" ;
        public final static String SECRET = "secret" ;

        //微信属性
        public final static String APPID = "appId" ;
        public final static String MCHID = "mchId" ;
        public final static String WXKEY = "wxKey" ;
        public final static String NOTIFYURL = "notifyurl" ;


        //新路由规则
        public final static String NEWGATEWAYPATH = "newGatewayPath" ;


        public final static String APPLICATIONID = "applicationId" ;
        public final static String SIGNAPPID = "signAppId" ;

        //服务开发环境
        public final static String DEVOPSSERVICE = "devopsService" ;
        //数据可视化开发
        public final static String DEVOPSDATE = "devopsDate" ;
        //大数据分析建模
        public final static String DEVOPSANALYSIS = "devopsAnalysis" ;
    }

    //cas属性键
    public static class CasKey{
        public final static String CASSERVICE = "casService"; // 跳转登录页URL
        public final static String REDIRECTURL = "redirectUrl"; // 退出url
    }

    public static class UploadFilePath{
        public static final String DATA_REGISTER_ROOT_DIR = "DataRegister" + File.separator;
        public static final String DATA_REGISTER_DATA_DIR = "DataFile" + File.separator;
        public static final String DATA_REGISTER_DEMO_DIR = "DemoFile" + File.separator;
        public static final String MICROAPP_REGISTER_ROOT_DIR = "MicroappRegister" + File.separator;
        public static final String MICROAPP_PUBLISH_ROOT_DIR = "MicroappPublish" + File.separator;
        public static final String USER_COMPANY_VERIFY_DIR = "CompanyRegister" + File.separator;
        public static final String USER_COMPANY_VERIFY_IMG_DIR = "CompanyCommerical" + File.separator;
        public static final String ACTIVITY_ROOT_DIR = "activity" + File.separator;
        public static final String ACTIVITY_IMG_DIR = "thumbnail" + File.separator;
        public static final String ROADSHOW_ROOT_DIR = "roadShow" + File.separator;

    }

}
