<%@ page language="java" pageEncoding="UTF-8"
         contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>创业辅导</title>
    <jsp:include page="../common/head.jsp"></jsp:include>
</head>
<body>
<jsp:include page="../common/body_header.jsp"></jsp:include>




<div class="clearfix"></div>

<div class="makerbanner">
</div>
<div class="mid5">
    <div class="line"></div>
    <div class="box2">

        <div class="xuanxiang01">
            <a href="<%=basePath%>/open/EntrepreneurshipTutoring/index.action" class="xuanxiangfont xuanxiangfont-active">创业辅导</a>
        </div>
        <div class="xuanxiang02">
            <a href="<%=basePath%>/open/roadShow/index.htm" class="xuanxiangfont">项目孵化</a>
        </div>
        <div class="xuanxiang02">
            <a href="<%=basePath%>/open/innovationActivity/index.htm" class="xuanxiangfont">创新活动</a>
        </div>
    </div>
    <div class="bb-top">
        <div class="bb-top1">
            <div class="bb-font">创业资讯</div>
            <div class="bb-gengduo"><a href="<%=basePath%>/open/EntrepreneurshipTutoring/informatList.action">查看更多</a></div>
            <div class="clearfix"></div>
            <div>
                <img src="<%=resourcePath%>/images/icon_zuo.png" alt="" class="bb-zuo">
                <div class="bb-zixun">
                    <c:forEach items="${informatList}" var="item" varStatus="status">
                        <div class="${status.index == 0 ? "bb-zx1" : "bb-zx2"}">
                            <c:if test="${item.screenshot ==null}"><img src="<%=resourcePath%>/images/img_xinwenzixun.png" class="zixunimg"></c:if>
                            <c:if test="${item.screenshot !=null}"><img src="${imageContextPath}${item.screenshot}" class="zixunimg"></c:if>

                            <div class="bb-font1">
                                <a class="qxbm" href="<%=basePath%>/open/EntrepreneurshipTutoring/view.htm/${item.id}"> ${item.newsTitle}</a>

                            </div>
                            <div class="clearfix"></div>
                            <div class="bb-line"></div>
                            <div class="chakanquanwen">
                                <a class="qxbm" href="<%=basePath%>/open/EntrepreneurshipTutoring/view.htm/${item.id}"> 查看全文</a>
                            </div>
                            <img src="<%=resourcePath%>/images/img_2017.png" alt="" class="bb-img0">

                        </div>
                    </c:forEach>
                </div>

                <img src="<%=resourcePath%>/images/icon_you.png" alt="" class="bb-you">

            </div>
        </div>
    </div>
    <div class="bb-mid">
        <div class="bb-top1">
            <div class="bb-font">咨询服务</div>
            <div class="bb-gengduo"><a href="<%=basePath%>/open/EntrepreneurshipTutoring/openClassList.action">查看更多</a></div>
            <div class="clearfix"></div>
            <div>
                <img src="<%=resourcePath%>/images/icon_zuo.png" alt="" class="bb-zuo">
                <div class="bb-zixun">
                    <c:forEach items="${openClassList}" var="item" varStatus="status">
                        <div class="${status.index == 0 ? "bb-zx1" : "bb-zx2"}">
                            <c:if test="${item.screenshot ==null}"><img src="<%=resourcePath%>/images/img_xinwenzixun.png" class="zixunimg"></c:if>
                            <c:if test="${item.screenshot !=null}"><img src="${imageContextPath}${item.screenshot}" class="zixunimg"></c:if>

                            <div class="bb-font1">
                                <a class="qxbm" href="<%=basePath%>/open/EntrepreneurshipTutoring/view.htm/${item.id}"> ${item.newsTitle}</a>
                            </div>
                            <div class="clearfix"></div>
                            <div class="bb-line"></div>
                            <div class="chakanquanwen">
                                <a class="qxbm" href="<%=basePath%>/open/EntrepreneurshipTutoring/view.htm/${item.id}">查看全文</a>
                            </div>
                            <img src="<%=resourcePath%>/images/img_2017.png" alt="" class="bb-img0">

                        </div>
                    </c:forEach>



                </div>

                <img src="<%=resourcePath%>/images/icon_you.png" alt="" class="bb-you">

            </div>
        </div>
    </div>
    <div class="bb-bottom">
        <div class="bb-zhengce">
            <div class="bb-font3">政策解读</div>
            <div class="bb-gengduo0"><a href="<%=basePath%>/open/EntrepreneurshipTutoring/unscrambleList.action" >查看更多</a></div>
            <div class="clearfix"></div>
            <div class="bb-img2">
                <c:forEach var="item" items="${unscrambleList}" >
                       <span class="zhengceimg">
                             <c:if test="${item.screenshot ==null}"><img src="<%=resourcePath%>/images/img_xinwenzixun.png" class="zixunimg"></c:if>
                            <c:if test="${item.screenshot !=null}"><img src="${imageContextPath}${item.screenshot}" class="zixunimg"></c:if>

                            <a class="qxbm" href="<%=basePath%>/open/EntrepreneurshipTutoring/view.htm/${item.id}"> ${item.newsTitle}</a>
                       </span>
                </c:forEach>
            </div>

        </div>

    </div>



    <div class="clearfix"></div>
    <jsp:include page="../common/body_footer.jsp"></jsp:include>

</body>
</html>