<%@ page language="java" pageEncoding="UTF-8"
         contentType="text/html; charset=UTF-8"%>
<%@ page isELIgnored="false"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!doctype html>
<html>
<head>
    <meta charset="utf-8">
    <title>创业资讯列表</title>
    <jsp:include page="../common/head.jsp"></jsp:include>
</head>
<body>
<jsp:include page="../common/body_header.jsp"></jsp:include>

<div class="line0"></div>
<div class="clearfix"></div>
<div class="bi">
    <div class="bi-mid">
        <div class="bi-mid0">
            <div class="bi-top0">
                咨询服务
            </div>
            <c:forEach var="item" items="${list}">
                <table class="zixun">
                    <tr>
                        <td><a href="<%=basePath%>/open/EntrepreneurshipTutoring/view.htm/${item.id}">${item.newsTitle}</a></td>
                        <td class="td3"><fmt:formatDate value="${item.publishAt}" pattern="yyyy-MM-dd"></fmt:formatDate> </td>
                    </tr>
                </table>
            </c:forEach>
        </div>
        <div class="clearfix"></div>
        <jsp:include page="../common/pager.jsp">
            <jsp:param name="pageNo" value="${pager.pageNo}"/>
            <jsp:param name="pageSize" value="${pager.pageSize}"/>
            <jsp:param name="total" value="${pager.total}"/>
        </jsp:include>

    </div>
</div>

<jsp:include page="../common/body_footer.jsp"></jsp:include>

</body>
<script>
    function pageSearch(pageNo) {
        window.location.href = "<%=basePath%>/open/EntrepreneurshipTutoring/informatList.action?pageNo="+pageNo+"";
    }

    $("#pager a").not(".disabled").click(function () {
        var pageNo = $(this).attr("page");
        pageSearch(pageNo);
    });
</script>
</html>