<%@ page language="java" pageEncoding="UTF-8"
         contentType="text/html; charset=UTF-8" %>
<%@ page isELIgnored="false" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!doctype html>
<html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
    <title>线下洽谈</title>
    <meta charset="utf-8">
    <link rel="stylesheet" href="<%=basePath%>/resource/css/open/base.css" type="text/css">
</head>
<body>
<jsp:include page="../common/body_header.jsp"></jsp:include>
<jsp:include page="../common/user_center_header.jsp"></jsp:include>
<div class="user-mid2">
    <div class="xinxi0">
        <div id="shujv" class="user-mid0">
           <div class="clearfix"></div>
            <div id="shenqing" class="xx-main">
                <table>
                    <tr bgcolor="#f2f2f2" class="biaotou1">
                        <td class="td7">资源名称</td>
                        <td class="td7">资源需求</td>
                        <td class="td7">使用意向</td>
                        <td class="td7">联系人</td>
                        <td class="td3">联系方式</td>
                        <td class="td3">状态</td>
                    </tr>
                    <c:if test="${list.size()>0}">
                        <c:forEach items="${list}" var="item">
                            <tr>
                                <td>${item.resourceName}</td>
                                <td>${item.requirement}</td>
                                <td>${item.usages}</td>
                                <td>${item.contact}</td>
                                <td>${item.phone}</td>
                                <td>${item.orderState}</td>
                            </tr>
                        </c:forEach>
                    </c:if>
                </table>
            </div>
        </div>
    </div>
</div>


<div class="clearfix"></div>
<jsp:include page="../common/body_footer.jsp"></jsp:include>
</body>
<script type="text/javascript">

</script>
</html>