<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
</head>
<body>
    <jsp:include page="../common/body_header.jsp"></jsp:include>
    <div class="line0"></div>
    <div class="clearfix"></div>
    <div class="zixun-details">
        <div class="zixun-details0">
            <div class="zixun-main">
                <div class="pingtaixieyi">《衡水资源开放平台用户注册协议》</div>
                <div class="zhengwen">

                    <ul>
                        <li style="text-indent: 2em">本《衡水资源开放平台用户注册协议》（以下简称“本《协议》”
                            ）系由用户与衡水市建设投资集团有限公司就衡水资源开放平台
                            提供的资源服务使用所订立的相关权利义务规范。您在注册为衡
                            水资源开放平台用户前，需仔细阅读并完全理解本《协议》内容
                            及衡水资源开放平台公布的其他服务规则（以下统称为“服务条款
                            ”），如果您不同意接受本《协议》条款的约束，应停止注册程序
                            并停止使用衡水资源开放平台服务。当您点击衡水资源开放平台注
                            册页面的同意注册按钮并完成注册程序、获得衡水资源开放平台账
                            号和密码时，即视为您已认真阅读服务条款全部内容，对本《协议》
                            条款均已知晓、理解并接受，同意将其作为确定双方权利义务的依据，
                            本《协议》对您及衡水资源开放平台均具有法律效力。
                        </li>
                        <li class="heiti">1、总则</li>
                        <li style="text-indent: 2em">
                            1.1 您确认：您在注册之前，已经充分阅读、理解并接受本
                            《协议》条款的全部内容，一旦您选择“同意”并完成注册流
                            程，即表示您同意遵循本《协议》之所有约定。
                        </li>
                        <li style="text-indent: 2em">
                            1.2 您同意：衡水资源开放平台有权随时对本《协议》条款及相应的服
                            务规则内容进行单方面的变更，并有权以消息推送、网页公告等方式予以
                            公布，而无需另行单独通知您；若您在本《协议》条款内容公告变更后继
                            续注册的，表示您已充分阅读、理解并接受修改后的协议内容，也将遵循
                            修改后的条款内容；若您不同意修改后的本《协议》条款，您应立即停止注册。
                        </li>
                        <li class="heiti">2、账户</li>
                        <li style="text-indent: 2em">2.1 注册</li>
                        <li style="text-indent: 2em">2.1.1 注册者资格</li>
                        <li style="text-indent: 2em">2.1.1.1 您确认，在您完成注册程序时，您应当是具备完全民事权利能力和
                            完全民事行为能力的自然人、法人或其他组织（以下统称为“法律主体”）。
                        </li>
                        <li style="text-indent: 2em">
                            2.1.1.2 若您是未成年人或限制民事行为能力人，则您不具备前述主体
                            资格，您及您的监护人应承担因您的不当注册行为而导致的一切后果，且
                            衡水资源开放平台有权注销（永久冻结）您的账户，并向您及您的监护人索偿。
                        </li>
                        <li style="text-indent: 2em">
                            2.1.2 注册、账户和实名认证
                        </li>
                        <li style="text-indent: 2em">
                            2.1.2.1 在您按照注册页面提示填写信息、阅读并同意本《协议》
                            条款且完成全部注册程序后，您即受本《协议》条款约束。您可以
                            使用您提供或确认的邮箱、手机号码登陆网站。
                        </li>
                        <li style="text-indent: 2em">
                            2.1.2.2 您了解并同意，您在本网站完成的注册程序并注册成功后，
                            您即已获得
                            衡水资源开放平台账户。
                        </li>
                        <li style="text-indent: 2em">2.1.2.3 除非有法律规定或生效法律文书确定，或者符合衡水资源
                            开放平台公布的条件，否则您不得以任何方式转让、赠与或让他人
                            继承您的衡水资源开放平台账户。同时，在进行符合条件的衡水资
                            源开放平台账户转让、赠与或继承时，衡水资源开放平台有权要求
                            您、及/或受让受赠者、或您的继承人提供合格的文件材料并按衡水
                            资源开放平台要求的操作流程办理。
                        </li>
                        <li style="text-indent: 2em">
                            2.1.2.4 您了解并同意，为保证账户和交易安全，衡水资源开放平台有
                            权随时要求您完成衡水资源开放平台账户的实名认证；同时，衡水资源
                            开放平台可能会就某些资源或服务的开通，要求您提供更多的身份资料
                            和信息，做进一步的身份认证或资格验证，您的账户只有在通过这些认
                            证和验证之后，方可获得使用相关资源或服务的资格。
                        </li>
                        <li style="text-indent: 2em">
                            2.1.2.5 通常情况下，您的衡水资源开放平台账户是您在本平台进行一
                            切活动的唯一身份识别依据，每一个衡水资源开放平台账户都可以在本
                            平台独立开展活动。
                        </li>
                        <li style="text-indent: 2em">2.1.3 信息</li>
                        <li style="text-indent: 2em">2.1.3.1 在完成注册或激活流程时，您应当按照法律法规要求，按相应
                            页面的提示准确提供并及时更新您的资料，以使之真实、及时，完整和
                            准确。如有合理理由怀疑您提供的资料错误、不实、过时或不完整的，
                            衡水资源开放平台有权向您发出询问及/或要求改正的通知，并有权直接
                            做出删除相应资料的处理，直至中止、终止对您提供部分或全部服务。衡
                            水资源开放平台对此不承担任何责任，您将承担因此产生的任何直接或间
                            接损失及不利后果。
                        </li>
                        <li style="text-indent: 2em">
                            2.1.3.2 您应当准确填写并及时更新您提供的电子邮件地址、联系电话、
                            联系地址、邮政编码等联系方式，以便衡水资源开放平台与您进行有效联系
                            ，因通过这些联系方式无法与您取得联系，导致您在使用衡水资源开放平台
                            服务过程中产生任何损失或增加费用的，应由您完全独自承担。您了解并同
                            意，您有义务保持您提供的联系方式的有效性，如有变更需要更新的，您应
                            按衡水资源开放平台的要求进行操作。
                        </li>
                        <li class="heiti">3、用户的帐号，密码及管理</li>
                        <li style="text-indent: 2em">
                            （1）在完成衡水资源开放平台用户的注册程序后，用户将获得一个衡水资源
                            开放平台账户，该账户密码由用户设置并保管，衡水资源开放平台无法获悉
                            。用户有权通过衡水资源开放平台用户中心管理其账户，包括但不限于补充、
                            更新用户信息，修改密码等，用户应妥善保管账户信息及密码；
                        </li>
                        <li style="text-indent: 2em">
                            （2）用户应当遵守法律法规、规章、规范性文件及政策要求，谨慎合理使用
                            和妥善保管衡水资源开放平台账号及密码，对通过其衡水资源开放平台账号和
                            密码进行的行为和发生的事件负责。当用户发现衡水资源开放平台账号被未经
                            其授权的第三方使用或存在其他账号安全问题时应立即有效通知衡水资源开放
                            平台，要求衡水资源开放平台暂停该衡水资源开放平台账号的服务，并向公安
                            机关报案。衡水资源开放平台有权在合理时间内对用户的该等请求采取行动，
                            配合用户作出相应处理措施，但对用户遭受的损失不承担任何责任。用户在未
                            经衡水资源开放平台同意的情况下不得将衡水资源开放平台账号以赠与、借用
                            、租用、转让或其他方式处分给他人。用户通过衡水资源开放平台与第三方进
                            行在线交易时，应当遵守本《协议》的全部约定及衡水资源开放平台发布的其
                            他关于在线交易的服务条款和操作规则的全部规定。用户在衡水资源开放平台
                            对资源/服务进行评价时应当根据实际情况如实进行评价；
                        </li>
                        <li style="text-indent: 2em">
                            （3）为更好的为用户提供服务，维护用户合法权益，衡水资源开放平台将采取
                            有效措施保护用户的账户信息。若用户在使用衡水资源开放平台账户时发现安
                            全漏洞，请立即以有效方式通知衡水资源开放平台。虽然衡水资源开放平台将
                            全力、持续完善账户维护技术手段，但受限于目前的技术水平，衡水资源开放
                            平台无法保证所采取的措施都是有效和安全的，用户知晓、理解并豁免衡水资
                            源开放平台因此产生的责任。
                        </li>
                        <li class="heiti">4、用户义务</li>
                        <li>
                            4.1、不得利用衡水资源开放平台提供的资源危害国家安全、泄露国家秘密，不得
                            侵犯国家社会集体的和公民的合法权益，不得利用衡水资源开放平台提供的资源制
                            作、复制和传播下列信息：
                        </li>
                        <li style="text-indent: 2em">（1）煽动抗拒、破坏宪法和法律、行政法规实施的；</li>
                        <li style="text-indent: 2em">（2）煽动颠覆国家政权，推翻社会主义制度的；</li>
                        <li style="text-indent: 2em">（3）煽动分裂国家、破坏国家统一的；</li>
                        <li style="text-indent: 2em">（4）煽动民族仇恨、民族歧视，破坏民族团结的；</li>
                        <li style="text-indent: 2em">（5）捏造或者歪曲事实，散布谣言，扰乱社会秩序的；</li>
                        <li style="text-indent: 2em">（6）宣扬封建迷信、淫秽、色情、赌博、暴力、凶杀、恐怖、教唆犯罪的；</li>
                        <li style="text-indent: 2em">（7）公然侮辱他人或者捏造事实诽谤他人的，或者进行其他恶意攻击的；</li>
                        <li style="text-indent: 2em">（8）损害国家机关信誉的；</li>
                        <li style="text-indent: 2em">（9）其他违反宪法和法律行政法规的；</li>
                        <li>
                            4.2 用户应当遵守法律法规、规章、规范性文件及政策要求的规定，不得在衡水资
                            源开放平台或利用衡水资源开放平台服务从事非法或其他损害衡水资源开放平台或
                            第三方权益的活动，包括但不限于发送或接收任何违法、违规、违反公序良俗、侵
                            犯他人权益的信息，发送或接收传销材料或存在其他危害的信息或言论。
                        </li>
                        <li class="heiti">5、违约责任</li>
                        <li style="text-indent: 2em">
                            （1）如因衡水资源开放平台违反有关法律、法规或本《协议》项下义务而给用户造
                            成损失，衡水资源开放平台同意承担相应的损害赔偿责任，并向用户赔偿用户的直接损失；
                        </li>
                        <li style="text-indent: 2em"> 
                            （2）用户同意保障和维护衡水资源开放平台及其他用户的利益，如因用户违反有关法律
                            、法规或本《协议》约定而给衡水资源开放平台或任何其他第三者造成损失，用户应承担
                            相应的法律责任。
                        </li>
                        <li class="heiti">6、免责申明</li>
                        <li style="text-indent: 2em"> 
                            本免责申明规定了衡水资源开放平台特定情形下不承担责任的内容，与用户权益息息相关
                            用户应仔细、逐项阅读。若用户不同意本免责申明的内容，应停止注册或停止使用衡水资源
                            开放平台服务并注销衡水资源开放平台账户。用户完成注册程序并使用衡水资源开放平台的
                            服务，视为用户已经完全知悉、理解本免责申明对其权利、义务、责任的特别约定，并同意
                            接受该等约定，豁免衡水资源开放平台的相应责任。
                        </li>
                        <li style="text-indent: 2em">
                            ——衡水资源开放平台可能会对资源使用情况进行统计。同时，衡水资源开放平台可能会与公
                            众分享这些统计信息，以展示衡水资源开放平台服务的整体使用趋势。这些统计信息不包含
                            用户的任何身份识别信息。
                        </li>
                        <li style="text-indent: 2em"> 
                            —— 在如下情况下，衡水资源开放平台可能会披露用户的信息：（1）事先获得用户的授权；
                            （2）根据法律、法规、法律程序的要求或政府主管部门的强制性要求；（3）以学术研究或
                            公共利益为目的；（4）为维护衡水资源开放平台的合法权益，例如查找、预防、处理欺诈或
                            安全方面的问题；（5）符合相关服务条款或使用协议的规定。
                        </li>
                        <li style="text-indent: 2em">
                            —— 由于衡水资源开放平台无法控制资源供应商数据，用户了解并同意，此类资源供应商
                            数据是否可供用户利用，衡水资源开放平台不予负责。存在或源于此类资源供应商数据之
                            任何内容、商品或服务的真实性，衡水资源开放平台亦不予保证或负责。因使用或依赖任
                            何此类资源供应商数据发布的或经由此类资源供应商数据获得的任何内容、商品或服务所
                            产生的任何损害或损失，衡水资源开放平台不承担任何责任。
                        </li>
                        <li style="text-indent: 2em">
                             —— 按照法律法规规定或者相关方之间的约定，供应商提供相应资源、服务可能需要取得
                            必要的批准或授权，衡水资源开放平台作为服务平台运营主体，没有途径也没有适当的权
                            限监督、核查资源供应商是否已经取得必要的批准或授权。虽然衡水资源开放平台会尽量
                            通过平台维护、软件升级等方式提高用户体验及服务质量，用户认可并同意衡水资源开放
                            平台仅提供平台服务，不对供应商提供的服务的质量、服务内容是否取得必要批准或授权
                            进行保证，也不为此承担任何责任。
                        </li>
                        <li class="heiti">7、法律适用及争议解决</li>
                        <li style="text-indent: 2em">
                            本《协议》的效力、履行和解释均适用中华人民共和国法律。若用户因本《协议》相关内
                            容与衡水资源开放平台产生争议，双方可协商解决。协商无法解决的，任何一方均有权向
                            衡水资源开放平台运营方所在地有管辖权的法院提起诉讼。
                        </li>
                        <li class="heiti">8、其他规定</li>
                        <li>
                            8.1 如本《协议》中的任何条款无论因何种原因完全或部分无效或不具有执行力，本《协议》的其余
                            条款仍应有效并且有约束力；
                        </li>
                        <li>
                            8.2 本《协议》中的标题仅为方便阅读而设，不应影响对本《协议》条款的理解。
                        </li>
                        <li class="heiti">9、意见及建议</li>
                        <li style="text-indent: 2em">
                            用户对衡水资源开放平台服务有任何意见或建议，可向衡水资源开放平台反馈，衡水资源开放平台愿
                            意倾听并尊重每一位用户的意见，并将尽力为用户提供最优质的服务。
                        </li>

                    </ul>
                </div>

            </div>
        </div>
    </div>
    <jsp:include page="../common/body_footer.jsp"></jsp:include>
</body>
</html>