<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
</head>
<body>
    <jsp:include page="../common/body_header.jsp"></jsp:include>
    <div class="line0"></div>
    <div class="clearfix"></div>
    <div class="mid-help">
        <div class="xinxi0">
            <div class="user-mid0">
                <div class="xx-main">
                    <div class="help-left">
                        <div>
                            <span class="dian"></span> &nbsp;
                            <span class="rzfont"><a href="#register">1. 用户注册流程</a></span>
                        </div>
                        <div class="clearfix"></div>
                        <div>
                            <span class="dian"></span> &nbsp;
                            <span class="rzfont"><a href="#realName">2. 实名认证流程</a></span>
                        </div>
                        <div class="clearfix"></div>
                        <div>
                            <span class="dian"></span> &nbsp;
                            <span class="rzfont"><a href="#apiBuy">3. 购买API流程</a></span>
                        </div>
                        <div class="clearfix"></div>
                        <div>
                            <span class="dian"></span> &nbsp;
                            <span class="rzfont"><a href="#apiPublish">4. 发布API流程</a></span>
                        </div>
                        <div class="clearfix"></div>
                        <div>
                            <span class="dian"></span> &nbsp;
                            <span class="rzfont"><a href="#microappPublish">5. 发布微应用流程</a></span>
                        </div>
                    </div>
                    <div class="help-right">
                        <div id="register" class="helpname">用户注册流程</div>
                        <ul>
                            <li>简介：API申请指的是平台API资源的申请及支付过程</li>
                            <li>(一)点击注册</li>
                            <li>(二)输入账号信息</li>
                            <li>(三)完成注册登录系统</li>
                        </ul>
                        <br>
                        <div id="realName" class="helpname">实名认证流程</div>
                        <ul>
                            <li>(一)个人实名认证</li>
                            <li>1.用户中心点击立刻认证</li>
                            <li>2.选择个人，输入信息，认证方式有照片认证、手机认证和银行卡号认证</li>
                            <li>(二)企业实名认证</li>
                            <li>1.选择企业，输入信息</li>

                        </ul>
                        <br>
                        <div id="apiBuy" class="helpname">购买API流程</div>
                        <ul>
                            <li>(一)点击API，选择数据API/工具API/模型API</li>
                            <li>(二)进入详情后，点击申请</li>
                            <li>(三)输入套餐信息，点击平台服务协议，点击立即支付</li>
                            <li>(四)如果想针对此资源进行深度合作，可以点击线下洽谈申请</li>
                            <li>(五)资源也可以加入购物车统一支付</li>
                        </ul>
                        <br>
                        <div id="apiPublish" class="helpname">发布API流程</div>
                        <ul>
                            <li>(一)用户完成实名认证后可以进行发布API操作，在用户中心-我的API点击发布API</li>
                            <li>(二)填写发布信息，审核员审核过后会在门户API频道展现相关内容</li>
                        </ul>
                        <br>
                        <div id="microappPublish" class="helpname">发布微应用流程</div>
                        <ul>
                            <li>(一)用户完成实名认证后可以进行发布微应用操作，在用户中心-我的服务点击发布新服务</li>
                            <li>(二)填写发布信息，审核员审核过后可以在门户微应用频道展现相关内容</li>
                        </ul>
                    </div>
                </div>

            </div>
        </div>
    </div>
    <jsp:include page="../common/body_footer.jsp"></jsp:include>
</body>
</html>