<%@ page language="java" pageEncoding="UTF-8" contentType="text/html; charset=UTF-8" %>
<%
    String basePath = request.getContextPath();
    String resourcePath = basePath + "/resource";
%>
<!DOCTYPE html>
<html>
<head>
    <jsp:include page="../common/head.jsp"></jsp:include>
</head>
<body>
    <jsp:include page="../common/body_header.jsp"></jsp:include>
    <div class="line0"></div>
    <div class="clearfix"></div>
    <div class="mid-help">
        <div class="xinxi0">
            <div class="user-mid0">
                <div class="xx-main">
                    <div class="help-left">
                        <div>
                            <span class="dian"></span> &nbsp;
                            <span class="rzfont"><a href="#apply">1. 微应用申请</a></span>
                        </div>
                        <div class="clearfix"></div>
                        <div>
                            <span class="dian"></span> &nbsp;
                            <span class="rzfont"><a href="#publish">2. 微应用发布规范</a></span>
                        </div>
                        <div class="clearfix"></div>
                        <div>
                            <span class="dian"></span> &nbsp;
                            <span class="rzfont"><a href="#join">3. 微应用接入流程</a></span>
                        </div>
                    </div>
                    <div class="help-right">
                        <div id="apply" class="helpname">微应用申请</div>
                        <ul>
                            <li>简介：微应用申请指的是平台微应用资源的申请及支付过程</li>
                            <li>(一)有固定申请次数的情况</li>
                            <li>1.点击详细页面服务申请功能</li>
                            <li>2.收费套餐：选择套餐、输入申请套餐数，接受服务协议</li>
                            <li>3.免费套餐：接受服务协议</li>
                            <li>4.收费套餐：如果只有一项资源可以点击立即支付完成申请</li>
                            <li>5.收费套餐：如果支付过程中出现异常或者报错，用户可以在用户中心购物车中继续完成支付</li>
                            <li>6.收费套餐：如果要选择多项资源可以加入购物车后统一支付完成申请</li>
                            <li>(二)没有固定申请次数的情况</li>
                            <li>如果想对某项资源进行深度合作，可以点击线下洽谈申请，会有工作人员第一时间和您取得联系</li>
                        </ul>
                        <br>
                        <div id="publish" class="helpname">微应用发布规范</div>
                        <ul>
                            <li>(一) 微应用H5样式规范</li>
                            <li>微应用界面应体现H5界面风格，功能简约、颜色单一。如下示例：</li>
                            <li>上图分辨率:1366*608</li>
                            <li>2.适应性规范</li>
                            <li>微应用主要功能，如输入框、检索框、功能按钮等应可以随浏览器宽度自动适应。如下示例：</li>
                            <li>上图分辨率：495*495</li>
                            <li>3.颜色规范</li>
                            <li>背景颜色易采用灰色背景“ededed”</li>
                            <li>功能按钮颜色易采用绿色“1db5b6”</li>
                            <li>(二) 微应用发布功能</li>
                            <li>上图为平台发布微应用功能界面，以下为部分字段解释</li>
                            <li>1.服务对象</li>
                            <li>&gt;个人主要为天气预报查询等生活类应用</li>
                            <li>&gt;企业主要为工商信息查询等企业经营类应用</li>
                            <li>&gt;政府主要为精准招商等政务服务类应用</li>
                            <li>2.服务标识</li>
                            <li>微应用的英文展现标识，用于形成微应用平台地址</li>
                            <li>3.服务图标</li>
                            <li>用于展现门户的服务图标，贵阳数创易平台此服务图标像素要求为250*200</li>
                            <li>4.演示地址</li>
                            <li>用于展现微应用的界面演示，一般采用静态页面的形式展现测试数据及页面交互，开发者需要自行开发并部署形成演示地址</li>
                            <li>5.访问URL</li>
                            <li>微应用的主程序地址，用于体现主要功能，接入方将通过映射的方式获取此地址界面</li>
                            <li>6.是否收费</li>
                            <li>发布者通过此功能设定微应用收费规则</li>
                            <li>7.服务URL</li>
                            <li>此地址为收费功能监控地址，即收费功能地址。一项微应用可能有多项功能，比如查询图片验证码、发送短信等。只有配置此服务URL的功能，平台才会进行收费监控，进行计费</li>
                            <li>8.是否落地</li>
                            <li>发布者需要判断是否可以将接入方的调用数据及结果进行返回用于接入方数据落地，如果不可以要选择“否”，可以选择“是”</li>

                        </ul>
                        <br>
                        <div id="join" class="helpname">微应用接入流程</div>
                        <ul>
                            <li>(一)接入步骤:</li>
                            <li>1.在页面申请微应用使用（参见申请流程）</li>
                            <li>2.微应用接入时，在用户后端携带密钥、微应用标识、用户信息（可选）请求微应用入口地址和鉴权 ticket</li>
                            <li>3.用户后台得到微应用地址和鉴权 ticket ，使用微应用地址和鉴权 ticket 组合做302跳转，进入微应用展示页面。</li>
                            <li>4.接入流程图如下</li>
                            <li>(二)调用请求参数说明:</li>
                            <li>微应用访问地址可以是以下两种类型：</li>
                            <li>1>请求参数全在url后面</li>
                            <li class="qqcs">http://service.areacode.com:48011/phone/getPhoneNo?ticket=dd2bd51337454156ba8a300ec350070d&user
                                Id=xuchaoj&user-data=201701091111111&authorization=dc:234567:MGEzMmJkNTk0NzkxMjM5YjJiNGM0OTk1ODY1ZmY4Mzg1ZmYxNjdhNw==</li>
                            <li>2>请求参数都放在头header里,除了ticket</li>
                            <li class="qqcs">http://service.areacode.com:48011/phone/getPhoneNo?ticket=dd2bd51337454156ba8a300ec350070d</li>
                            <li>其中，header里需放入以下字段:</li>
                            <li>
                                <div class="baowen">
                                    userId="xuchaoj"<br>
                                    user-data="201701091111111"<br>
                                    authorization="dc:234567:MGEzMmJkNTk0NzkxMjM5YjJiNGM0OTk1ODY1ZmY4Mzg1ZmYxNjdhNw=="<br>
                                    user-param="放在url后面的业务参数"(如param1=a¶m2=b)【可选】
                                </div>
                            </li>
                            <li>(三) 微应用生成ticket接口说明</li>
                            <li>
                                <table>
                                    <tr>
                                        <td bgcolor="#f2f2f2" class="td1">访问地址</td>
                                        <td colspan="5">生产环境：/getTicket</td>
                                    </tr>
                                    <tr>
                                        <td bgcolor="#f2f2f2">集成环境</td>
                                        <td colspan="5">http://mscx-gateway.springclould.cn:58080/gateway-web-1.8.0/getTicket</td>
                                    </tr>
                                    <tr>
                                        <td bgcolor="#f2f2f2">请求方式</td>
                                        <td colspan="5">POST</td>
                                    </tr>
                                    <tr>
                                        <td bgcolor="#f2f2f2">服务编码</td>
                                        <td colspan="5"></td>
                                    </tr>
                                    <tr bgcolor="#f2f2f2">
                                        <td >参数说明</td>
                                        <td>序号</td>
                                        <td>参数</td>
                                        <td>数据类型</td>
                                        <td>是否必填</td>
                                        <td>参数说明</td>
                                    </tr>
                                    <tr>
                                        <td>输入参数</td>
                                        <td>1</td>
                                        <td>serviceUrl</td>
                                        <td>String</td>
                                        <td>Y</td>
                                        <td>微应用context</td>
                                    </tr>
                                    <tr>
                                        <td></td>
                                        <td>2</td>
                                        <td>userId</td>
                                        <td>String</td>
                                        <td>Y</td>
                                        <td>用户标识</td>
                                    </tr>
                                    <tr>
                                        <td>输出参数</td>
                                        <td colspan="5">返回Response，详见下方“输出参数Response值说明”</td>
                                    </tr>
                                    <tr>
                                        <td bgcolor="#f2f2f2">备注</td>
                                        <td colspan="5">
                                            <div>
                                                请求报文： <br>
                                                <span class="baowen">
                                                        {       <br>
                                                        "data" : [    <br>
                                                        {        <br>
                                                        "serviceUrl" : "/phone/getPhoneNo", <br>
                                                        "userId":"000001000002330"     <br>
                                                        &nbsp;&nbsp;&nbsp;&nbsp; }         <br>
                                                        &nbsp;&nbsp;] <br>
                                                        } <br>
                                                    </span>
                                                响应报文：<br>
                                                成功: <br>
                                                http://微应用域名/serviceUrl?ticket=b2aff98b3c1b496cbad42b3a8d9a2b5b <br>
                                                失败: <br>
                                                http://404notfound
                                            </div>
                                        </td>
                                    </tr>
                                    <tr bgcolor="#f2f2f2">
                                        <td colspan="6">返回值公共参数说明</td>
                                    </tr>
                                    <tr bgcolor="#f2f2f2">
                                        <td >序号</td>
                                        <td  colspan="2">参数</td>
                                        <td  colspan="3">参数说明</td>
                                    </tr>
                                    <tr>
                                        <td >1</td>
                                        <td  colspan="2"></td>
                                        <td  colspan="3"></td>
                                    </tr>
                                    <tr>
                                        <td >2</td>
                                        <td  colspan="2"></td>
                                        <td  colspan="3"></td>
                                    </tr>
                                    <tr>
                                        <td >3</td>
                                        <td  colspan="2"></td>
                                        <td  colspan="3"></td>
                                    </tr>
                                    <tr bgcolor="#f2f2f2">
                                        <td colspan="6">返回码、返回信息说明</td>
                                    </tr>
                                    <tr bgcolor="#f2f2f2">
                                        <td >序号</td>
                                        <td  colspan="2">返回码(code)</td>
                                        <td  colspan="3">返回信息(message)</td>
                                    </tr>
                                    <tr>
                                        <td >1</td>
                                        <td  colspan="2"></td>
                                        <td  colspan="3"></td>
                                    </tr>
                                    <tr>
                                        <td >2</td>
                                        <td  colspan="2"></td>
                                        <td  colspan="3"></td>
                                    </tr>
                                    <tr>
                                        <td >3</td>
                                        <td  colspan="2"></td>
                                        <td  colspan="3"></td>
                                    </tr>
                                </table>
                            </li>
                            <li>(四) 微应用回调</li>
                            <li>微服务：根据返回的回调地址，进行业务处理结果的发送。</li>
                            <li>需要规范，回调的传送报文格式（在回调描述中描述，MK格式）</li>
                            <li>需要规范，回调之后的请求规范（在回调描述中描述，MK格式）</li>
                            <li>网关地址：http://gy-service.springcloud.cn:83/</li>
                        </ul>
                        <br>

                    </div>
                </div>

            </div>
        </div>
    </div>
    <jsp:include page="../common/body_footer.jsp"></jsp:include>
</body>
</html>